Bug 249381 - totem protocol fails to filter messages outside its membership during membership changes
Summary: totem protocol fails to filter messages outside its membership during members...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Steven Dake
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-24 07:34 UTC by Steven Dake
Modified: 2016-04-26 14:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 00:26:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Dake 2007-07-24 07:34:20 UTC
Description of problem:
The totem protocol doesn't properly filter messages that are ordered from rings
outside its membership.  This can result in a segfault in newly starting nodes
if messages were transmitted in the previous configuration.  Nodes that
temporarily leave and then rejoin may also suffer incorrect messages delivered
to the totempg layer resulting in segfault.

Version-Release number of selected component (if applicable):

How reproducible:
run modified mp5/aisexec program that creates 16 copies of aisexec on one node.
 The mp5 program will kill and restart nodes.  Between 6-12 hrs there are a few
crashes running modfified mp5 program.

Steps to Reproduce:
1. simulate 16 node environment with just openais running mp5.
2. wait several hours until mp5 program fails.
3.
  
Actual results:
segfault and core files in /var/lib/openais/core.*

Expected results:
no failures reported by mp5 - no segfaults as a result of this scenario.

Additional info:

Comment 1 Steven Dake 2007-07-24 07:41:19 UTC
file:///usr/share/doc/HTML/en-US/index.html

Comment 2 Steven Dake 2007-08-14 00:26:46 UTC
I have tested this case and the code does what it is supposed to - there wss a
different problem which I believed was this problem.  That problem has been
fixed in the rhel 5.1 branch.


Note You need to log in before you can comment on or make changes to this bug.